org.apache.ignite.ml.util.generators.primitives.vector

## Class VectorGeneratorsFamily

- java.lang.Object
- - org.apache.ignite.ml.util.generators.primitives.vector.VectorGeneratorsFamily

- All Implemented Interfaces:
    Supplier<Vector>, VectorGenerator

      public class VectorGeneratorsFamily
      extends Object
      implements VectorGenerator

  Represents a distribution family of district vector generators.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VectorGeneratorsFamily.Builder` Helper for distribution family building.
    `static class` | `VectorGeneratorsFamily.VectorWithDistributionId` Container for vector and distribution id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataStreamGenerator` | `asDataStream()` Creates data stream where label of vector == id of distribution from family.
    `Vector` | `get()`
    `VectorGeneratorsFamily.VectorWithDistributionId` | `getWithId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.primitives.vector.VectorGenerator

      `concat, concat, duplicateRandomFeatures, duplicateRandomFeatures, filter, map, move, noisify, plus, rotate, rotate, shuffle, shuffle`

- - ### Method Detail

    - #### get

          public Vector get()

      Specified by:
        `get` in interface `Supplier<Vector>`

    - #### getWithId

          public VectorGeneratorsFamily.VectorWithDistributionId getWithId()

      Returns:
        Pseudo random vector with parent distribution id.

    - #### asDataStream

          public DataStreamGenerator asDataStream()

      Creates data stream where label of vector == id of distribution from family.
      Specified by:
        `asDataStream` in interface `VectorGenerator`
      Returns:
        Data stream generator.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023